#
# spec file for package gap-idrel
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-idrel
Version:        2.47
Release:        1.1
Summary:        GAP: Identities among relations
License:        GPL-2.0-or-later
Group:          Productivity/Scientific/Math
URL:            https://gap-packages.github.io/idrel/
#Git-Clone:     https://github.com/gap-packages/idrel
Source:         https://github.com/gap-packages/idrel/releases/download/v%version/idrel-%version.tar.gz
BuildArch:      noarch
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.11.1

%description
The IdRel package is designed for computing the identities among
relations of a group presentation using rewriting, logged rewriting,
monoid polynomials, module polynomials and Y-sequences.

%prep
%autosetup -n idrel-%version

%build

%install
rm -Rf scripts
%gappkg_simple_install

%files -f %name.files

%changelog
* Sun Jun  2 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 2.47
  * Delete broken tests
* Sat Mar 23 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 2.46
  * Metadata updates only
* Mon Mar 20 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 2.45
  * Extensive revision of idrels.* adding a large number
    of operations for log sequences and identities.
  * Introduced PrintUsingLabels and other Print commands.
* Wed Nov 14 2018 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 2.42
  * Large number of functions edited and renamed and tests altered:
    IdentitiesAmongRelators now returns group relator sequences
    and the module polynomials are available as IdentityYSequences.
  * Removed IdentitiesAmongRelatorsOld.
  * Replacved PrintOneItemPerLine(L) with Perform(L,Display)
* Sun Dec 24 2017 jengelh@inai.de
- Update to new upstream release 2.38
  * removed examples/*.g from git but saved some in new /expt
  * testall.g copied to testing.g; testall now calls TestDirectory
  * split off method for PartialElementsOfMonoidPresentation
  * added methods for String, ViewString, PrintString
  * added PartialElementsOfMonoidPresentation
    added YSequencesFromRelatorSequences
  * renamed OrderingYSequences -> YSequenceLessThan
    renamed ReducedYSequence -> YSequenceReduce
    new operation YSequenceConjugateAndReduce
    new operation RelatorSequenceReduce
  * added MonoidGeneratorsFpGroup
  * added ArrangementOfMonoidGenerators to allow various orders
* Mon Nov 21 2016 jengelh@inai.de
- Update to new upstream release 2.34
  * added MathJax to makedocrel.g
  * added PrintObj method for monoid presentations
* Tue Aug  4 2015 jengelh@inai.de
- Update to new upstream release 2.31
  * PackageInfo.g: IdRel is now an accepted package
  * converted the bibliography to BibXMLext format
  and added an URL to Anne's thesis (heyworth.ps.gz)
* Sun Feb 22 2015 jengelh@inai.de
- Update to new upstream release 2.21
  * Metadata update (homepage URL) only
* Fri May 10 2013 jengelh@inai.de
- Split idrel (version 2.14) off the gap RPM package
